Bug 20264 - Syspref checkdigit is no longer in used
Summary: Syspref checkdigit is no longer in used
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20396
  Show dependency treegraph
 
Reported: 2018-02-21 18:01 UTC by Jonathan Druart
Modified: 2018-05-04 06:19 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20264: Remove syspref checkdigit (6.59 KB, patch)
2018-02-21 18:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20264: Remove syspref checkdigit (6.86 KB, patch)
2018-02-21 18:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20264: Remove syspref checkdigit (6.87 KB, patch)
2018-02-28 12:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20264: Remove syspref checkdigit (6.97 KB, patch)
2018-03-05 01:07 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 20264: Remove syspref checkdigit (7.02 KB, patch)
2018-03-05 08:15 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jonathan Druart 2018-02-21 18:05:19 UTC
Created attachment 72048 [details] [review]
Bug 20264: Remove syspref checkdigit

According to
http://irc.koha-community.org/koha/2013-06-26#i_1333289
http://irc.koha-community.org/koha/2013-06-26#i_1333589
and Hea data, this syspref is no longer in used and is always set to
false.
Comment 2 Jonathan Druart 2018-02-21 18:06:23 UTC
Created attachment 72049 [details] [review]
Bug 20264: Remove syspref checkdigit

According to
http://irc.koha-community.org/koha/2013-06-26#i_1333289
http://irc.koha-community.org/koha/2013-06-26#i_1333589
and Hea data, this syspref is no longer in used and is always set to
false.
Comment 3 Dilan Johnpullé 2018-02-28 03:53:27 UTC
Patch failed to apply with the following error message:

vagrant@kohadevbox:kohaclone(master)$ git bz apply -s 20264
Bug 20264 - Syspref checkdigit is no longer in used

72049 - Bug 20264: Remove syspref checkdigit

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 20264: Remove syspref checkdigit
fatal: sha1 information is lacking or useless (C4/Members.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 20264: Remove syspref checkdigit
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-20264-Remove-syspref-checkdigit-H8JTSx.patch
vagrant@kohadevbox:kohaclone(master|AM 1/1)$
Comment 4 Jonathan Druart 2018-02-28 12:42:52 UTC
Created attachment 72289 [details] [review]
Bug 20264: Remove syspref checkdigit

According to
http://irc.koha-community.org/koha/2013-06-26#i_1333289
http://irc.koha-community.org/koha/2013-06-26#i_1333589
and Hea data, this syspref is no longer in used and is always set to
false.
Comment 5 Marcel de Rooy 2018-02-28 12:49:36 UTC
(In reply to Jonathan Druart from comment #4)
> According to
> http://irc.koha-community.org/koha/2013-06-26#i_1333289
> http://irc.koha-community.org/koha/2013-06-26#i_1333589
> and Hea data, this syspref is no longer in used and is always set to
> false.

Does this provide enough evidence?
Can we make some more noise on the mailing lists(?) in order to let people step up and say Hey I am still using that?
Comment 7 Dilan Johnpullé 2018-03-05 01:07:59 UTC
Created attachment 72396 [details] [review]
Bug 20264: Remove syspref checkdigit

According to
http://irc.koha-community.org/koha/2013-06-26#i_1333289
http://irc.koha-community.org/koha/2013-06-26#i_1333589
and Hea data, this syspref is no longer in used and is always set to
false.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 8 Dilan Johnpullé 2018-03-05 01:12:03 UTC
(In reply to Dilan Johnpullé from comment #7)
> Created attachment 72396 [details] [review] [review]
> Bug 20264: Remove syspref checkdigit
> 
> According to
> http://irc.koha-community.org/koha/2013-06-26#i_1333289
> http://irc.koha-community.org/koha/2013-06-26#i_1333589
> and Hea data, this syspref is no longer in used and is always set to
> false.
> 
Patch applies now and works as expected.
> Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 9 Josef Moravec 2018-03-05 08:15:36 UTC
Created attachment 72406 [details] [review]
Bug 20264: Remove syspref checkdigit

According to
http://irc.koha-community.org/koha/2013-06-26#i_1333289
http://irc.koha-community.org/koha/2013-06-26#i_1333589
and Hea data, this syspref is no longer in used and is always set to
false.

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Jonathan Druart 2018-03-23 15:36:40 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 11 Nick Clemens 2018-03-26 12:01:08 UTC
Enhancement, not backported for 17.11
Comment 12 Eugene Espinoza 2018-05-04 06:19:37 UTC
Hi! Just stumbled upon this in 17.11 and 17.05 when this syspref is on. Upon saving a patron without putting any cardnumber, since autoMemberNum and checkdigit is both turned on, I am getting the following error: 
DBIx::Class::Storage::DBI::_dbh_execute(): Duplicate entry "V18" for key 'cardnumber' at /usr/share/koha/lib/Koha/Object.pm line 121
With this being said, all the more this system preference setting should go.

I just put in this comment since it's related to this bug no. Should this also be backported to 17.11 and 17.05?